package com.ruoyi.ss.device.domain;

import lombok.Data;

/**
 * @author wjh
 * 2024/5/10
 */
@Data
public class DeviceBO extends Device {

    /**
     * 过滤新增字段
     */
    public DeviceBO filterCreate() {
        DeviceBO bo = new DeviceBO();
        bo.setCustomPicture(getCustomPicture());
        bo.setModelId(getModelId());
        bo.setMac(getMac());
        bo.setDeviceNo(getDeviceNo());
        bo.setDeviceName(getDeviceName());
        bo.setServiceRate(getServiceRate());
        bo.setRemark(getRemark());
        return bo;
    }

    /**
     * 过滤更新字段
     */
    public DeviceBO filterUpdate() {
        DeviceBO bo = new DeviceBO();
        bo.setDeviceId(getDeviceId());
        bo.setCustomPicture(getCustomPicture());
        bo.setModelId(getModelId());
        bo.setDeviceNo(getDeviceNo());
        bo.setDeviceName(getDeviceName());
        bo.setServiceRate(getServiceRate());
        bo.setRemark(getRemark());
        return bo;
    }

    /**
     * 过滤APP更新字段
     */
    public DeviceBO filterUpdateByApp() {
        DeviceBO bo = new DeviceBO();
        bo.setDeviceId(getDeviceId());
        bo.setStoreId(getStoreId());
        bo.setRemark(getRemark());
        bo.setDeviceName(getDeviceName());
        bo.setCustomPicture(getCustomPicture());
        return bo;
    }
}
