package com.ruoyi.ss.dashboard;

import com.ruoyi.ss.businessRecord.domain.SmBusinessRecordVo;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * 舆情分析VO
 * @author 辉
 * 2024/3/7
 */
@Data
public class BriefVo {
    private Integer deviceCount;    // 设备数量
    private Integer modelCount;     // 型号数量
    private Integer onlineCount;    // 在线数量
    private Integer userCount;      // 商户用户数量
    private Integer tenantCount;    // 租户用户数量
    private BigDecimal rechargeAmount;  // 充值金额

    private List<SmBusinessRecordVo> history;  // 历史数据
}
